<?php
/**
 * Construction Firm: Customizer
 *
 * @subpackage Construction Firm
 * @since 1.0
 */

function construction_firm_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/assets/css/customizer.css');

	// fontawesome icon-picker

	load_template( trailingslashit( get_template_directory() ) . '/inc/icon-picker.php' );


	// Add custom control.
  	require get_parent_theme_file_path( 'inc/switch/control_switch.php' );


	$wp_customize->add_section( 'construction_firm_typography_settings', array(
		'title'       => __( 'Typography', 'construction-firm' ),
		'priority'       => 2,
	) );

	$font_choices = array(
			'' => 'Select',
			'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
			'Open Sans:400italic,700italic,400,700' => 'Open Sans',
			'Oswald:400,700' => 'Oswald',
			'Playfair Display:400,700,400italic' => 'Playfair Display',
			'Montserrat:400,700' => 'Montserrat',
			'Raleway:400,700' => 'Raleway',
			'Droid Sans:400,700' => 'Droid Sans',
			'Lato:400,700,400italic,700italic' => 'Lato',
			'Arvo:400,700,400italic,700italic' => 'Arvo',
			'Lora:400,700,400italic,700italic' => 'Lora',
			'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
			'Oxygen:400,300,700' => 'Oxygen',
			'PT Serif:400,700' => 'PT Serif',
			'PT Sans:400,700,400italic,700italic' => 'PT Sans',
			'PT Sans Narrow:400,700' => 'PT Sans Narrow',
			'Cabin:400,700,400italic' => 'Cabin',
			'Fjalla One:400' => 'Fjalla One',
			'Francois One:400' => 'Francois One',
			'Josefin Sans:400,300,600,700' => 'Josefin Sans',
			'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
			'Arimo:400,700,400italic,700italic' => 'Arimo',
			'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
			'Bitter:400,700,400italic' => 'Bitter',
			'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
			'Roboto:400,400italic,700,700italic' => 'Roboto',
			'Open Sans Condensed:700,300italic,300' => 'Open Sans Condensed',
			'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
			'Roboto Slab:400,700' => 'Roboto Slab',
			'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
			'Rokkitt:400' => 'Rokkitt',
		);

	$wp_customize->add_setting( 'construction_firm_section_typo_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_typo_heading', array(
		'label'       => esc_html__( 'Typography Settings', 'construction-firm' ),
		'section'     => 'construction_firm_typography_settings',
		'settings'    => 'construction_firm_section_typo_heading',
	) ) );

	$wp_customize->add_setting( 'construction_firm_headings_text', array(
		'sanitize_callback' => 'construction_firm_sanitize_fonts',
	));
	$wp_customize->add_control( 'construction_firm_headings_text', array(
		'type' => 'select',
		'description' => __('Select your suitable font for the headings.', 'construction-firm'),
		'section' => 'construction_firm_typography_settings',
		'choices' => $font_choices
	));

	$wp_customize->add_setting( 'construction_firm_body_text', array(
		'sanitize_callback' => 'construction_firm_sanitize_fonts'
	));
	$wp_customize->add_control( 'construction_firm_body_text', array(
		'type' => 'select',
		'description' => __( 'Select your suitable font for the body.', 'construction-firm' ),
		'section' => 'construction_firm_typography_settings',
		'choices' => $font_choices
	) );

 	$wp_customize->add_section('construction_firm_pro', array(
        'title'    => __('UPGRADE CONSTRUCTION PREMIUM', 'construction-firm'),
        'priority' => 1,
    ));

    $wp_customize->add_setting('construction_firm_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Construction_Firm_Pro_Control($wp_customize, 'construction_firm_pro', array(
        'label'    => __('CONSTRUCTION PREMIUM', 'construction-firm'),
        'section'  => 'construction_firm_pro',
        'settings' => 'construction_firm_pro',
        'priority' => 1,
    )));

    //Logo
    $wp_customize->add_setting('construction_firm_logo_max_height',array(
		'default'	=> '',
		'sanitize_callback'	=> 'construction_firm_sanitize_number_absint'
	));
	$wp_customize->add_control('construction_firm_logo_max_height',array(
		'label'	=> esc_html__('Logo Width','construction-firm'),
		'section'	=> 'title_tagline',
		'type'		=> 'number'
	));

	$wp_customize->add_setting('construction_firm_logo_title',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_logo_title',
			array(
				'settings'        => 'construction_firm_logo_title',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Title', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_logo_text',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_logo_text',
			array(
				'settings'        => 'construction_firm_logo_text',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Tagline', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
    
    // Theme General Settings
    $wp_customize->add_section('construction_firm_theme_settings',array(
        'title' => __('Theme General Settings', 'construction-firm'),
        'priority' => 1,
    ) );

    $wp_customize->add_setting(
		'construction_firm_sticky_header',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_sticky_header',
			array(
				'settings'        => 'construction_firm_sticky_header',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Sticky Header', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'construction_firm_theme_loader',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_theme_loader',
			array(
				'settings'        => 'construction_firm_theme_loader',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Site Loader', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_menu_text_transform',array(
        'default' => 'CAPITALISE',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_menu_text_transform',array(
        'type' => 'select',
        'label' => __('Menus Text Transform','construction-firm'),
        'section' => 'construction_firm_theme_settings',
        'choices' => array(
            'CAPITALISE' => __('CAPITALISE','construction-firm'),
            'UPPERCASE' => __('UPPERCASE','construction-firm'),
            'LOWERCASE' => __('LOWERCASE','construction-firm'),
        ),
	) );

	$wp_customize->add_setting( 'construction_firm_section_scroll_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_scroll_heading', array(
		'label'       => esc_html__( 'Scroll Top Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_scroll_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_scroll_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_scroll_enable',
			array(
				'settings'        => 'construction_firm_scroll_enable',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Scroll Top', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_scroll_options',array(
        'default' => 'right_align',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_scroll_options',array(
        'type' => 'select',
        'label' => __('Scroll Top Alignment','construction-firm'),
        'section' => 'construction_firm_theme_settings',
        'choices' => array(
            'right_align' => __('Right Align','construction-firm'),
            'center_align' => __('Center Align','construction-firm'),
            'left_align' => __('Left Align','construction-firm'),
        ),
	) );

	$wp_customize->add_setting('construction_firm_scroll_top_icon',array(
		'default'	=> 'fas fa-chevron-up',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_scroll_top_icon',array(
		'label'	=> __('Add Scroll Top Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_theme_settings',
		'setting'	=> 'construction_firm_scroll_top_icon',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting( 'construction_firm_section_shoppage_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_shoppage_heading', array(
		'label'       => esc_html__( 'Shop Page Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_shoppage_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_shop_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_shop_page_sidebar',
			array(
				'settings'        => 'construction_firm_shop_page_sidebar',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Shop Page Sidebar', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'construction_firm_wocommerce_single_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_wocommerce_single_page_sidebar',
			array(
				'settings'        => 'construction_firm_wocommerce_single_page_sidebar',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Single Product Page Sidebar', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	//theme width

	$wp_customize->add_section('construction_firm_theme_width_settings',array(
        'title' => __('Theme Width Option', 'construction-firm'),
        'priority' => 1,
    ) );

	$wp_customize->add_setting('construction_firm_width_options',array(
        'default' => 'full_width',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_width_options',array(
        'type' => 'select',
        'label' => __('Theme Width Option','construction-firm'),
        'section' => 'construction_firm_theme_width_settings',
        'choices' => array(
            'full_width' => __('Fullwidth','construction-firm'),
            'Container' => __('Container','construction-firm'),
            'container_fluid' => __('Container Fluid','construction-firm'),
        ),
	) );

	// Post Layouts
    $wp_customize->add_section('construction_firm_layout',array(
        'title' => __('Post Layout', 'construction-firm'),
        ) );

    $wp_customize->add_setting( 'construction_firm_section_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_post_heading', array(
		'label'       => esc_html__( 'Page Structure', 'construction-firm' ),
		 'description' => __( 'Change the post layout from below options', 'construction-firm' ),
		'section'     => 'construction_firm_layout',
		'settings'    => 'construction_firm_section_post_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_post_sidebar',
			array(
				'settings'        => 'construction_firm_post_sidebar',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Fullwidth', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'construction_firm_single_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_sidebar',
			array(
				'settings'        => 'construction_firm_single_post_sidebar',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Single Post Fullwidth', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

    $wp_customize->add_setting('construction_firm_post_option',array(
		'default' => 'simple_post',
		'sanitize_callback' => 'construction_firm_sanitize_select'
	));
	$wp_customize->add_control('construction_firm_post_option',array(
		'label' => esc_html__('Select Layout','construction-firm'),
		'section' => 'construction_firm_layout',
		'setting' => 'construction_firm_post_option',
		'type' => 'radio',
        'choices' => array(
            'simple_post' => __('Simple Post','construction-firm'),
            'grid_post' => __('Grid Post','construction-firm'),
        ),
	));

    $wp_customize->add_setting('construction_firm_grid_column',array(
		'default' => '3_column',
		'sanitize_callback' => 'construction_firm_sanitize_select'
	));
	$wp_customize->add_control('construction_firm_grid_column',array(
		'label' => esc_html__('Grid Post Per Row','construction-firm'),
		'section' => 'construction_firm_layout',
		'setting' => 'construction_firm_grid_column',
		'type' => 'radio',
        'choices' => array(
            '1_column' => __('1','construction-firm'),
            '2_column' => __('2','construction-firm'),
            '3_column' => __('3','construction-firm'),
            '4_column' => __('4','construction-firm'),
            '5_column' => __('6','construction-firm'),
        ),
	));

	$wp_customize->add_setting('construction_firm_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_date',
			array(
				'settings'        => 'construction_firm_date',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Date', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'construction_firm_date', array(
		'selector' => '.date-box i',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_date',
	) );

	$wp_customize->add_setting('construction_firm_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_admin',
			array(
				'settings'        => 'construction_firm_admin',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Author/Admin', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'construction_firm_admin', array(
		'selector' => '.entry-comments',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_admin',
	) );

	$wp_customize->add_setting('construction_firm_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_comment',
			array(
				'settings'        => 'construction_firm_comment',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Comment', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'construction_firm_comment', array(
		'selector' => '.entry-comments',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_comment',
	) );

	
	// Top Header
    $wp_customize->add_section('construction_firm_top',array(
        'title' => __('Contact info', 'construction-firm'),
    ) );

    $wp_customize->add_setting( 'construction_firm_section_contact_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_contact_heading', array(
		'label'       => esc_html__( 'Contact Settings', 'construction-firm' ),	
		'description' => __( 'Add contact info in the below feilds', 'construction-firm' ),		
		'section'     => 'construction_firm_top',
		'settings'    => 'construction_firm_section_contact_heading',
	) ) );

    $wp_customize->add_setting('construction_firm_top_content',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_top_content',array(
		'label' => esc_html__('Add Top Bar Text','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_top_content',
		'type'    => 'text',
	));

	$wp_customize->selective_refresh->add_partial( 'construction_firm_top_content', array(
	'selector' => '.top_bar p',
	'render_callback' => 'construction_firm_customize_partial_construction_firm_top_content',
	) );

	$wp_customize->add_setting('construction_firm_timing_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_timing_text',array(
		'label' => esc_html__('Add Text','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_timing_text',
		'type'    => 'text',
	));

	$wp_customize->selective_refresh->add_partial( 'construction_firm_timing_text', array(
	'selector' => '.info-box i',
	'render_callback' => 'construction_firm_customize_partial_construction_firm_timing_text',
	) );

	$wp_customize->add_setting('construction_firm_timing',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_timing',array(
		'label' => esc_html__('Add Timing','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_timing',
		'type'    => 'text',
	));

	$wp_customize->add_setting('construction_firm_call_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_call_text',array(
		'label' => esc_html__('Add Text','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_call_text',
		'type'    => 'text',
	));

	$wp_customize->add_setting('construction_firm_call',array(
		'default' => '',
		'sanitize_callback' => 'construction_firm_sanitize_phone_number'
	));
	$wp_customize->add_control('construction_firm_call',array(
		'label' => esc_html__('Add Phone Number','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_call',
		'type'    => 'text',
	));

    $wp_customize->add_setting('construction_firm_email_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_email_text',array(
		'label' => esc_html__('Add Text','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_email_text',
		'type'    => 'text',
	));

	$wp_customize->add_setting('construction_firm_email',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_email'
	));
	$wp_customize->add_control('construction_firm_email',array(
		'label' => esc_html__('Add Email Address','construction-firm'),
		'section' => 'construction_firm_top',
		'setting' => 'construction_firm_email',
		'type'    => 'text',
	));

	// Social Media
    $wp_customize->add_section('construction_firm_urls',array(
        'title' => __('Social Media', 'construction-firm'),
        ) );

     $wp_customize->add_setting( 'construction_firm_section_social_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_social_heading', array(
		'label'       => esc_html__( 'Social Media Settings', 'construction-firm' ),
		'description' => __( 'Add social media links in the below feilds', 'construction-firm' ),			
		'section'     => 'construction_firm_urls',
		'settings'    => 'construction_firm_section_social_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_social_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_social_enable',
			array(
				'settings'        => 'construction_firm_social_enable',
				'section'         => 'construction_firm_urls',
				'label'           => __( 'Check to show social fields', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'construction_firm_social_enable', array(
	'selector' => '.links a i',
	'render_callback' => 'construction_firm_customize_partial_construction_firm_social_enable',
	) );


	$wp_customize->add_setting('construction_firm_facebook_icon',array(
		'default'	=> 'fab fa-facebook-f',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_facebook_icon',array(
		'label'	=> __('Add Facebook Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_urls',
		'setting'	=> 'construction_firm_facebook_icon',
		'type'		=> 'icon',
		'active_callback' => 'construction_firm_social_dropdown'
	)));

	$wp_customize->add_setting('construction_firm_facebook',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('construction_firm_facebook',array(
		'label' => esc_html__('Facebook URL','construction-firm'),
		'section' => 'construction_firm_urls',
		'setting' => 'construction_firm_facebook',
		'type'    => 'url',
		'active_callback' => 'construction_firm_social_dropdown'
	));

	$wp_customize->add_setting(
		'construction_firm_header_fb_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_header_fb_target',
			array(
				'settings'        => 'construction_firm_header_fb_target',
				'section'         => 'construction_firm_urls',
				'label'           => __( 'Open link in a new tab', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => 'construction_firm_social_dropdown',
			)
		)
	);


	$wp_customize->add_setting('construction_firm_twitter_icon',array(
		'default'	=> 'fab fa-twitter',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_twitter_icon',array(
		'label'	=> __('Add Twitter Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_urls',
		'setting'	=> 'construction_firm_twitter_icon',
		'type'		=> 'icon',
		'active_callback' => 'construction_firm_social_dropdown'
	)));

	$wp_customize->add_setting('construction_firm_twitter',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('construction_firm_twitter',array(
		'label' => esc_html__('Twitter URL','construction-firm'),
		'section' => 'construction_firm_urls',
		'setting' => 'construction_firm_twitter',
		'type'    => 'url',
		'active_callback' => 'construction_firm_social_dropdown'
	));

	$wp_customize->add_setting(
		'construction_firm_header_twt_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_header_twt_target',
			array(
				'settings'        => 'construction_firm_header_twt_target',
				'section'         => 'construction_firm_urls',
				'label'           => __( 'Open link in a new tab', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => 'construction_firm_social_dropdown',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_youtube_icon',array(
		'default'	=> 'fab fa-youtube',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_youtube_icon',array(
		'label'	=> __('Add Youtube Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_urls',
		'setting'	=> 'construction_firm_youtube_icon',
		'type'		=> 'icon',
		'active_callback' => 'construction_firm_social_dropdown'
	)));

	$wp_customize->add_setting('construction_firm_youtube',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('construction_firm_youtube',array(
		'label' => esc_html__('Youtube URL','construction-firm'),
		'section' => 'construction_firm_urls',
		'setting' => 'construction_firm_youtube',
		'type'    => 'url',
		'active_callback' => 'construction_firm_social_dropdown'
	));

	$wp_customize->add_setting(
		'construction_firm_header_ut_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_header_ut_target',
			array(
				'settings'        => 'construction_firm_header_ut_target',
				'section'         => 'construction_firm_urls',
				'label'           => __( 'Open link in a new tab', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => 'construction_firm_social_dropdown',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_instagram_icon',array(
		'default'	=> 'fab fa-instagram',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_instagram_icon',array(
		'label'	=> __('Add Instagram Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_urls',
		'setting'	=> 'construction_firm_instagram_icon',
		'type'		=> 'icon',
		'active_callback' => 'construction_firm_social_dropdown'
	)));

	$wp_customize->add_setting('construction_firm_instagram',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('construction_firm_instagram',array(
		'label' => esc_html__('Instagram URL','construction-firm'),
		'section' => 'construction_firm_urls',
		'setting' => 'construction_firm_instagram',
		'type'    => 'url',
		'active_callback' => 'construction_firm_social_dropdown'
	));

	$wp_customize->add_setting(
		'construction_firm_header_ins_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_header_ins_target',
			array(
				'settings'        => 'construction_firm_header_ins_target',
				'section'         => 'construction_firm_urls',
				'label'           => __( 'Open link in a new tab', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => 'construction_firm_social_dropdown',
			)
		)
	);

    //Slider
	$wp_customize->add_section( 'construction_firm_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'construction-firm' ),
    	'priority'   => null,
	) );

	$wp_customize->add_setting( 'construction_firm_section_slide_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_slide_heading', array(
		'label'       => esc_html__( 'Slider Settings', 'construction-firm' ),
		'description' => __( 'Slider Image Dimension ( 600px x 700px )', 'construction-firm' ),		
		'section'     => 'construction_firm_slider_section',
		'settings'    => 'construction_firm_section_slide_heading',
	) ) );

		$wp_customize->add_setting(
		'construction_firm_slider_arrows',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_slider_arrows',
			array(
				'settings'        => 'construction_firm_slider_arrows',
				'section'         => 'construction_firm_slider_section',
				'label'           => __( 'Check To Show Slider', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$construction_firm_args = array('numberposts' => -1);
	$post_list = get_posts($construction_firm_args);
	$construction_firm_i = 0;
	$pst_sls[]= __('Select','construction-firm');
	foreach ($post_list as $key => $p_post) {
		$pst_sls[$p_post->ID]=$p_post->post_title;
	}
	for ( $construction_firm_i = 1; $construction_firm_i <= 4; $construction_firm_i++ ) {
		$wp_customize->add_setting('construction_firm_post_setting'.$construction_firm_i,array(
			'sanitize_callback' => 'construction_firm_sanitize_choices',
		));
		$wp_customize->add_control('construction_firm_post_setting'.$construction_firm_i,array(
			'type'    => 'select',
			'choices' => $pst_sls,
			'label' => __('Select post','construction-firm'),
			'section' => 'construction_firm_slider_section',
			'active_callback' => 'construction_firm_slider_dropdown'
		));
	}
	wp_reset_postdata();

	$wp_customize->selective_refresh->add_partial( 'construction_firm_slider_arrows', array(
	'selector' => '.carousel-caption h2',
	'render_callback' => 'construction_firm_customize_partial_construction_firm_slider_arrows',
	) );

	$wp_customize->add_setting('construction_firm_slider_content_alignment',array(
	        'default' => 'LEFT-ALIGN',
	        'sanitize_callback' => 'construction_firm_sanitize_choices'
		));
		$wp_customize->add_control('construction_firm_slider_content_alignment',array(
	        'type' => 'select',
	        'label' => __('Slider Content Alignment','construction-firm'),
	        'section' => 'construction_firm_slider_section',
	        'choices' => array(
	            'LEFT-ALIGN' => __('LEFT-ALIGN','construction-firm'),
	            'CENTER-ALIGN' => __('CENTER-ALIGN','construction-firm'),
	            'RIGHT-ALIGN' => __('RIGHT-ALIGN','construction-firm'),),
	        'active_callback' => 'construction_firm_slider_dropdown'
	        ),
		 );

	//Middle Section
	$wp_customize->add_section( 'construction_firm_middle_section' , array(
    	'title'      => __( 'Services Settings', 'construction-firm' ),
		'priority'   => null,
	) );


	$wp_customize->add_setting(
		'construction_firm_services_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_services_enable',
			array(
				'settings'        => 'construction_firm_services_enable',
				'section'         => 'construction_firm_middle_section',
				'label'           => __( 'Check To Show services', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$construction_firm_args = array('numberposts' => -1);
	$post_list = get_posts($construction_firm_args);
	$s = 0;
	$pst_sls[]= __('Select','construction-firm');
	foreach ($post_list as $key => $p_post) {
		$pst_sls[$p_post->ID]=$p_post->post_title;
	}
	for ( $s = 1; $s <= 4; $s++ ) {
		$wp_customize->add_setting('construction_firm_middle_sec_settigs'.$s,array(
			'sanitize_callback' => 'construction_firm_sanitize_choices',
		));
		$wp_customize->add_control('construction_firm_middle_sec_settigs'.$s,array(
			'type'    => 'select',
			'choices' => $pst_sls,
			'label' => __('Select post','construction-firm'),
			'section' => 'construction_firm_middle_section',
			'active_callback' => 'construction_firm_service_dropdown'
		));

		$wp_customize->selective_refresh->add_partial( 'construction_firm_services_enable', array(
		'selector' => '.inner-box h4 a',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_services_enable',
		) );
	}
	wp_reset_postdata();

	// Project Section
	$wp_customize->add_section( 'construction_firm_project_box_section' , array(
    	'title'      => __( 'Project Settings', 'construction-firm' ),
		'priority'   => null,
	) );

	$wp_customize->add_setting(
		'construction_firm_project_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_project_enable',
			array(
				'settings'        => 'construction_firm_project_enable',
				'section'         => 'construction_firm_project_box_section',
				'label'           => __( 'Check To Show Product Settings', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_project_section_title',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_project_section_title',array(
		'label' => esc_html__('Section Second Title','construction-firm'),
		'section' => 'construction_firm_project_box_section',
		'setting' => 'construction_firm_project_section_title',
		'type'    => 'text',
		'active_callback' => 'construction_firm_project_dropdown'
	));

	$wp_customize->selective_refresh->add_partial( 'construction_firm_project_section_title', array(
	'selector' => '#projects-box h3',
	'render_callback' => 'construction_firm_customize_partial_construction_firm_project_section_title',
	) );

	$construction_firm_categories = get_categories();
	$cats = array();
	$construction_firm_i = 0;
	$cat_post[]= 'select';
	foreach($construction_firm_categories as $category){
	if($construction_firm_i==0){
	  $default = $category->slug;
	  $construction_firm_i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('construction_firm_category_setting',array(
		'default' => 'select',
		'sanitize_callback' => 'construction_firm_sanitize_select',
	));
	$wp_customize->add_control('construction_firm_category_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => esc_html__('Select Category to display Post','construction-firm'),
		'section' => 'construction_firm_project_box_section',
		'active_callback' => 'construction_firm_project_dropdown'
	));

	//Footer
    $wp_customize->add_section( 'construction_firm_footer_copyright', array(
    	'title'      => esc_html__( 'Footer Text', 'construction-firm' ),
	) );

	$wp_customize->add_setting( 'construction_firm_section_footer_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_footer_heading', array(
			'label'       => esc_html__( 'Footer Settings', 'construction-firm' ),		
			'section'     => 'construction_firm_footer_copyright',
			'settings'    => 'construction_firm_section_footer_heading',
		) ) );

    $wp_customize->add_setting('construction_firm_footer_text',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('construction_firm_footer_text',array(
			'label'	=> esc_html__('Copyright Text','construction-firm'),
			'section'	=> 'construction_firm_footer_copyright',
			'type'		=> 'text'
	));

	$wp_customize->selective_refresh->add_partial( 'construction_firm_footer_text', array(
			'selector' => '.site-info a',
			'render_callback' => 'construction_firm_customize_partial_construction_firm_footer_text',
	) );

	$wp_customize->add_setting('construction_firm_footer_widget',array(
			'default' => '4',
			'sanitize_callback' => 'construction_firm_sanitize_select'
	));
	$wp_customize->add_control('construction_firm_footer_widget',array(
		'label' => esc_html__('Footer Per Column','construction-firm'),
		'section' => 'construction_firm_footer_copyright',
		'setting' => 'construction_firm_footer_widget',
		'type' => 'radio',
		'choices' => array(
			'1'   => __('1 Column', 'construction-firm'),
			'2'  => __('2 Column', 'construction-firm'),
			'3' => __('3 Column', 'construction-firm'),
			'4' => __('4 Column', 'construction-firm')
		),
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'construction_firm_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'construction_firm_customize_partial_blogdescription',
	) );

	//front page
	$num_sections = apply_filters( 'construction_firm_front_page_sections', 4 );

	// Create a setting and control for each of the sections available in the theme.
	for ( $construction_firm_i = 1; $construction_firm_i < ( 1 + $num_sections ); $construction_firm_i++ ) {
		$wp_customize->add_setting( 'panel_' . $construction_firm_i, array(
			'default'           => false,
			'sanitize_callback' => 'construction_firm_sanitize_dropdown_pages',
			'transport'         => 'postMessage',
		) );

		$wp_customize->add_control( 'panel_' . $construction_firm_i, array(
			/* translators: %d is the front page section number */
			'label'          => sprintf( __( 'Front Page Section %d Content', 'construction-firm' ), $construction_firm_i ),
			'description'    => ( 1 !== $construction_firm_i ? '' : __( 'Select pages to feature in each area from the dropdowns. Add an image to a section by setting a featured image in the page editor. Empty sections will not be displayed.', 'construction-firm' ) ),
			'section'        => 'theme_options',
			'type'           => 'dropdown-pages',
			'allow_addition' => true,
			'active_callback' => 'construction_firm_is_static_front_page',
		) );

		$wp_customize->selective_refresh->add_partial( 'panel_' . $construction_firm_i, array(
			'selector'            => '#panel' . $construction_firm_i,
			'render_callback'     => 'construction_firm_front_page_section',
			'container_inclusive' => true,
		) );
	}
}
add_action( 'customize_register', 'construction_firm_customize_register' );

function construction_firm_customize_partial_blogname() {
	bloginfo( 'name' );
}
function construction_firm_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
function construction_firm_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}
function construction_firm_is_view_with_layout_option() {
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

define('CONSTRUCTION_FIRM_PRO_LINK',__('https://www.ovationthemes.com/wordpress/construction-wordpress-theme/','construction-firm'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Construction_Firm_Pro_Control')):
    class Construction_Firm_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md-2 col-sm-6 upsell-btn">
                <a href="<?php echo esc_url( CONSTRUCTION_FIRM_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE CONSTRUCTION PREMIUM','construction-firm');?> </a>
	        </div>
            <div class="col-md-4 col-sm-6">
                <img class="construction_firm_img_responsive " src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">

            </div>
	        <div class="col-md-3 col-sm-6">
	            <h3 style="margin-top:10px; margin-left: 20px; text-decoration:underline; color:#333;"><?php esc_html_e('CONSTRUCTION PREMIUM - Features', 'construction-firm'); ?></h3>
                <ul style="padding-top:10px">
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'construction-firm');?> </li>
                </ul>
        	</div>
		    <div class="col-md-2 col-sm-6 upsell-btn upsell-btn-bottom">
	            <a href="<?php echo esc_url( CONSTRUCTION_FIRM_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE CONSTRUCTION PREMIUM','construction-firm');?> </a>
		    </div>
			<p><?php printf(__('Please review us if you love our product on %1$sWordPress.org%2$s. </br></br>  Thank You', 'construction-firm'), '<a target="blank" href="https://wordpress.org/support/theme/construction-firm/reviews/">', '</a>');
            ?></p>
        </label>
    <?php } }
endif;

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */

final class construction_firm_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}


/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );
	}

// icons
/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	 public function enqueue_control_scripts() {

		wp_enqueue_style('construction-firm-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css');

		wp_localize_script(
		'construction-firm-customize-controls',
		'construction_firm_customizer_params',
		array(
			'ajaxurl' =>	admin_url( 'admin-ajax.php' )
		));
	}


}